View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000468Ecere SDKidepublic2010-07-26 05:022013-05-19 22:15
Reporterredj 
Assigned Tojerome 
PriorityimmediateSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44 Ryoan-jiFixed in Version0.44 Ryoan-ji 
Summary0000468: ide: Path box improvements and browse object dir everywere
DescriptionPath box improvements and browse object dir everywere
see if anything needs fixing?
make sure PathBox is up to par.

- DirectoriesBox
- ...
TagsNo tags attached.
Attached Files

- Relationships
related to 0000453closedredj ide: new project: updating of the path with the name and the dialog needs a few fixes 

-  Notes
(0000371)
redj (administrator)
2010-09-05 01:11

see http://ecere.com/mantis/view.php?id=453 [^] for revisions 10 and 11 to sdk\extras\PathBox.ec potentially addressing this issue as well
(0000430)
jerome (administrator)
2010-12-19 02:25

- Use of PathBox inside DirectoriesBox
- Now with path, systemPath and slashPath different properties
- Makes use of FileFixCase to fix up paths, process / and \ on both Linux and Win32

Added revision 174 to E:\newroot\sdk\ide\src\debugger\Debugger.ec
Added revision 30 to E:\newroot\sdk\ide\src\dialogs\NodeProperties.ec
Added revision 50 to E:\newroot\sdk\ide\src\dialogs\NewProjectDialog.ec
Added revision 59 to E:\newroot\sdk\ide\src\dialogs\GlobalSettingsDialog.ec
Added revision 61 to E:\newroot\sdk\ide\src\dialogs\FindInFilesDialog.ec
Added revision 7 to E:\newroot\sdk\ide\src\dialogs\WorkspaceSettings.ec
Added revision 48 to E:\newroot\sdk\ide\src\project\Workspace.ec
Added revision 102 to E:\newroot\sdk\ide\src\ProjectSettings.ec
Added revision 12 to E:\newroot\sdk\extras\DirectoriesBox.ec
Added revision 19 to E:\newroot\sdk\extras\PathBox.ec
(0000431)
jerome (administrator)
2010-12-19 05:07

- Did it right this time!

Added revision 120 to E:\newroot\sdk\ecere\src\gui\Window.ec
Added revision 8 to E:\newroot\sdk\ide\src\dialogs\WorkspaceSettings.ec
Added revision 183 to E:\newroot\sdk\ide\src\project\Project.ec
Added revision 41 to E:\newroot\sdk\ide\src\project\ProjectConfig.ec
Added revision 103 to E:\newroot\sdk\ide\src\ProjectSettings.ec
Added revision 13 to E:\newroot\sdk\extras\DirectoriesBox.ec
Added revision 20 to E:\newroot\sdk\extras\PathBox.ec
(0000443)
jerome (administrator)
2011-06-10 07:21

I believe the latest fix
https://github.com/ecere/sdk/commit/e4f2fb5e73250cae0c823dd5e43f729398b11355 [^]
marks the completion of this.

- Issue History
Date Modified Username Field Change
2010-07-26 05:02 redj New Issue
2010-07-29 15:11 jerome Relationship added child of 0000429
2010-08-21 15:27 jerome Relationship added related to 0000453
2010-09-05 01:11 redj Note Added: 0000371
2010-09-05 01:17 jerome Description Updated
2010-12-19 02:25 jerome Note Added: 0000430
2010-12-19 05:07 jerome Note Added: 0000431
2011-06-10 07:21 jerome Status new => resolved
2011-06-10 07:21 jerome Fixed in Version => 0.44 pre-release 2
2011-06-10 07:21 jerome Resolution open => fixed
2011-06-10 07:21 jerome Assigned To => jerome
2011-06-10 07:21 jerome Note Added: 0000443
2012-03-08 15:33 redj Target Version old 0.44.pre2 => 0.44 Ryoan-ji
2012-03-08 17:42 redj Relationship deleted child of 0000429
2012-03-08 18:07 redj Fixed in Version => 0.44 Ryoan-ji
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2013-05-19 22:15 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker